Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast.expr
Class ListExpression

Represents a list expression [1, 2, 3] which creates a mutable List

author:
  James Strachan

version:
  $Revision: 6778 $

Field Summary
`List` | `expressions`

Constructor Summary
`ListExpression()`
`ListExpression(List expressions)`

Method Summary
`void` | `addExpression(Expression expression)`
`Expression` | `getExpression(int i)`
`List` | `getExpressions()`
`String` | `getText()`
`String` | `toString()`
`Expression` | `transformExpression(ExpressionTransformer transformer)`
`void` | `visit(GroovyCodeVisitor visitor)`

Constructor Detail

### ListExpression

    public ListExpression()

### ListExpression

    public ListExpression(List expressions)

Method Detail

### addExpression

    public void addExpression(Expression expression)

### getExpression

    public Expression getExpression(int i)

### getExpressions

    public List getExpressions()

### getText

    public String getText()

### toString

    public String toString()

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

### visit

    public void visit(GroovyCodeVisitor visitor)